#include <NEXTION_TRANSMISION.h>

#FUSES NOMCLR

#use rs232(baud=9600, stop=1, parity=N, xmit=PIN_C6, rcv=PIN_C7, bits=8)

void numero()
{
   int16 num;

   set_adc_channel (0);//Lectura Vout del potenciometro en PIN AN0
   delay_us(10);
   num =  read_adc();

   printf("num.val=%lu",num); //objname.val=valor
   putc(0xFF); //fin de recepcion de datos en pantalla nextion
   putc(0xFF); //
   putc(0xFF); //
}

void barra()
{
   int16 pot;
   int8 bar;

   set_adc_channel (0);//Lectura Vout del potenciometro en PIN AN0
   delay_us(10);
   pot = read_adc();// lectura del valor

   bar = ((int32)pot*100)/1023; // 0 a 1023 por 0 a 100

   printf("bar.val=%u",bar); //objname.val=valor
   putc(0xFF); //datos para recepcion en pantalla nextion
   putc(0xFF); //
   putc(0xFF); //
}

void linea ()
{
   int16 lin;

   set_adc_channel (0);//Lectura Vout del potenciometro en PIN AN0
   delay_us(10);
   lin = read_adc();// lectura del valor

   lin = ((int32)lin*360)/1023; // 0 a 1023 por 0 a 360

   printf("lin.val=%lu",lin); //objname.val=valor
   putc(0xFF); //datos para recepcion en pantalla nextion
   putc(0xFF); //
   putc(0xFF); //
}

void main()
{

   setup_adc(ADC_CLOCK_INTERNAL);

   while(TRUE)
   {
      numero();
      delay_ms(20);
      barra();
      delay_ms(20);
      linea();
      delay_ms(20);
   }

}
